regina::AngleStructures::StructureInserter Struct Reference
Angle Structures

An output iterator used to insert angle structures into an AngleStructures. More...

`#include <angle/anglestructures.h>`

Inheritance diagram for regina::AngleStructures::StructureInserter:

## Public Member Functions

| StructureInserter ()
| Creates a new uninitialised output iterator. More...
| StructureInserter (AngleStructures &newList, Triangulation< 3 > *newOwner)
| Creates a new output iterator. More...
| StructureInserter (const StructureInserter &cloneMe)
| Creates a new output iterator that is a clone of the given iterator. More...
StructureInserter & | operator= (const StructureInserter &cloneMe)
| Sets this iterator to be a clone of the given output iterator. More...
StructureInserter & | operator= (AngleStructure *structure)
| Appends an angle structure to the end of the appropriate structure list. More...
StructureInserter & | operator= (AngleStructureVector *vector)
| Appends the angle structure corresponding to the given vector to the end of the appropriate structure list. More...
StructureInserter & | operator* ()
| Returns a reference to this output iterator. More...
StructureInserter & | operator++ ()
| Returns a reference to this output iterator. More...
StructureInserter & | operator++ (int)
| Returns a reference to this output iterator. More...

## Public Attributes

AngleStructures * | list
| The list into which angle structures will be inserted. More...
Triangulation< 3 > * | owner
| The triangulation on which the angle structures to be inserted lie. More...

## Detailed Description

An output iterator used to insert angle structures into an AngleStructures.

Objects of type `AngleStructure*` and `AngleStructureVector*` can be assigned to this iterator. In the latter case, a surrounding AngleStructure will be automatically created.

The documentation for this struct was generated from the following file:

- angle/anglestructures.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).